<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<template encoding-version="1.3">
    <description></description>
    <groupId>c1c8c057-0178-1000-0aca-37b70dc31b3d</groupId>
    <name>Sahamyab-V2</name>
    <snippet>
        <connections>
            <id>12a2d5cc-0b63-3054-0000-000000000000</id>
            <parentGroupId>10db1f11-3dd7-3475-0000-000000000000</parentGroupId>
            <backPressureDataSizeThreshold>1 GB</backPressureDataSizeThreshold>
            <backPressureObjectThreshold>10000</backPressureObjectThreshold>
            <destination>
                <groupId>10db1f11-3dd7-3475-0000-000000000000</groupId>
                <id>b082a8f0-72be-30c1-0000-000000000000</id>
                <type>PROCESSOR</type>
            </destination>
            <flowFileExpiration>0 sec</flowFileExpiration>
            <labelIndex>1</labelIndex>
            <loadBalanceCompression>DO_NOT_COMPRESS</loadBalanceCompression>
            <loadBalancePartitionAttribute></loadBalancePartitionAttribute>
            <loadBalanceStatus>LOAD_BALANCE_NOT_CONFIGURED</loadBalanceStatus>
            <loadBalanceStrategy>DO_NOT_LOAD_BALANCE</loadBalanceStrategy>
            <name></name>
            <selectedRelationships>success</selectedRelationships>
            <source>
                <groupId>10db1f11-3dd7-3475-0000-000000000000</groupId>
                <id>2d20df20-d753-3206-0000-000000000000</id>
                <type>PROCESSOR</type>
            </source>
            <zIndex>0</zIndex>
        </connections>
        <connections>
            <id>12f6e102-59d5-3403-0000-000000000000</id>
            <parentGroupId>10db1f11-3dd7-3475-0000-000000000000</parentGroupId>
            <backPressureDataSizeThreshold>1 GB</backPressureDataSizeThreshold>
            <backPressureObjectThreshold>10000</backPressureObjectThreshold>
            <destination>
                <groupId>10db1f11-3dd7-3475-0000-000000000000</groupId>
                <id>bf73c2e1-b46b-3268-0000-000000000000</id>
                <type>PROCESSOR</type>
            </destination>
            <flowFileExpiration>0 sec</flowFileExpiration>
            <labelIndex>1</labelIndex>
            <loadBalanceCompression>DO_NOT_COMPRESS</loadBalanceCompression>
            <loadBalancePartitionAttribute></loadBalancePartitionAttribute>
            <loadBalanceStatus>LOAD_BALANCE_NOT_CONFIGURED</loadBalanceStatus>
            <loadBalanceStrategy>DO_NOT_LOAD_BALANCE</loadBalanceStrategy>
            <name></name>
            <selectedRelationships>matched</selectedRelationships>
            <source>
                <groupId>10db1f11-3dd7-3475-0000-000000000000</groupId>
                <id>7505d1a0-4bd7-355f-0000-000000000000</id>
                <type>PROCESSOR</type>
            </source>
            <zIndex>0</zIndex>
        </connections>
        <connections>
            <id>8c4b5ec3-8716-3f7b-0000-000000000000</id>
            <parentGroupId>10db1f11-3dd7-3475-0000-000000000000</parentGroupId>
            <backPressureDataSizeThreshold>1 GB</backPressureDataSizeThreshold>
            <backPressureObjectThreshold>10000</backPressureObjectThreshold>
            <destination>
                <groupId>10db1f11-3dd7-3475-0000-000000000000</groupId>
                <id>7505d1a0-4bd7-355f-0000-000000000000</id>
                <type>PROCESSOR</type>
            </destination>
            <flowFileExpiration>0 sec</flowFileExpiration>
            <labelIndex>1</labelIndex>
            <loadBalanceCompression>DO_NOT_COMPRESS</loadBalanceCompression>
            <loadBalancePartitionAttribute></loadBalancePartitionAttribute>
            <loadBalanceStatus>LOAD_BALANCE_NOT_CONFIGURED</loadBalanceStatus>
            <loadBalanceStrategy>DO_NOT_LOAD_BALANCE</loadBalanceStrategy>
            <name></name>
            <selectedRelationships>split</selectedRelationships>
            <source>
                <groupId>10db1f11-3dd7-3475-0000-000000000000</groupId>
                <id>a675f034-0055-3510-0000-000000000000</id>
                <type>PROCESSOR</type>
            </source>
            <zIndex>0</zIndex>
        </connections>
        <connections>
            <id>e30038f4-178c-3ca2-0000-000000000000</id>
            <parentGroupId>10db1f11-3dd7-3475-0000-000000000000</parentGroupId>
            <backPressureDataSizeThreshold>1 GB</backPressureDataSizeThreshold>
            <backPressureObjectThreshold>10000</backPressureObjectThreshold>
            <destination>
                <groupId>10db1f11-3dd7-3475-0000-000000000000</groupId>
                <id>a675f034-0055-3510-0000-000000000000</id>
                <type>PROCESSOR</type>
            </destination>
            <flowFileExpiration>0 sec</flowFileExpiration>
            <labelIndex>1</labelIndex>
            <loadBalanceCompression>DO_NOT_COMPRESS</loadBalanceCompression>
            <loadBalancePartitionAttribute></loadBalancePartitionAttribute>
            <loadBalanceStatus>LOAD_BALANCE_NOT_CONFIGURED</loadBalanceStatus>
            <loadBalanceStrategy>DO_NOT_LOAD_BALANCE</loadBalanceStrategy>
            <name></name>
            <selectedRelationships>Response</selectedRelationships>
            <source>
                <groupId>10db1f11-3dd7-3475-0000-000000000000</groupId>
                <id>fe403d80-ddd9-3e82-0000-000000000000</id>
                <type>PROCESSOR</type>
            </source>
            <zIndex>0</zIndex>
        </connections>
        <connections>
            <id>ec957b45-1fb1-38a6-0000-000000000000</id>
            <parentGroupId>10db1f11-3dd7-3475-0000-000000000000</parentGroupId>
            <backPressureDataSizeThreshold>1 GB</backPressureDataSizeThreshold>
            <backPressureObjectThreshold>10000</backPressureObjectThreshold>
            <destination>
                <groupId>10db1f11-3dd7-3475-0000-000000000000</groupId>
                <id>2d20df20-d753-3206-0000-000000000000</id>
                <type>PROCESSOR</type>
            </destination>
            <flowFileExpiration>0 sec</flowFileExpiration>
            <labelIndex>1</labelIndex>
            <loadBalanceCompression>DO_NOT_COMPRESS</loadBalanceCompression>
            <loadBalancePartitionAttribute></loadBalancePartitionAttribute>
            <loadBalanceStatus>LOAD_BALANCE_NOT_CONFIGURED</loadBalanceStatus>
            <loadBalanceStrategy>DO_NOT_LOAD_BALANCE</loadBalanceStrategy>
            <name></name>
            <selectedRelationships>success</selectedRelationships>
            <source>
                <groupId>10db1f11-3dd7-3475-0000-000000000000</groupId>
                <id>bf73c2e1-b46b-3268-0000-000000000000</id>
                <type>PROCESSOR</type>
            </source>
            <zIndex>0</zIndex>
        </connections>
        <processors>
            <id>2d20df20-d753-3206-0000-000000000000</id>
            <parentGroupId>10db1f11-3dd7-3475-0000-000000000000</parentGroupId>
            <position>
                <x>440.0</x>
                <y>200.0</y>
            </position>
            <bundle>
                <artifact>nifi-standard-nar</artifact>
                <group>org.apache.nifi</group>
                <version>1.12.1</version>
            </bundle>
            <config>
                <bulletinLevel>WARN</bulletinLevel>
                <comments></comments>
                <concurrentlySchedulableTaskCount>1</concurrentlySchedulableTaskCount>
                <descriptors>
                    <entry>
                        <key>Attributes List</key>
                        <value>
                            <name>Attributes List</name>
                        </value>
                    </entry>
                    <entry>
                        <key>attributes-to-json-regex</key>
                        <value>
                            <name>attributes-to-json-regex</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Destination</key>
                        <value>
                            <name>Destination</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Include Core Attributes</key>
                        <value>
                            <name>Include Core Attributes</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Null Value</key>
                        <value>
                            <name>Null Value</name>
                        </value>
                    </entry>
                </descriptors>
                <executionNode>ALL</executionNode>
                <lossTolerant>false</lossTolerant>
                <penaltyDuration>30 sec</penaltyDuration>
                <properties>
                    <entry>
                        <key>Attributes List</key>
                        <value>postId,sendTimePersian,senderUsername, sendTime, senderName,type,content</value>
                    </entry>
                    <entry>
                        <key>attributes-to-json-regex</key>
                    </entry>
                    <entry>
                        <key>Destination</key>
                        <value>flowfile-content</value>
                    </entry>
                    <entry>
                        <key>Include Core Attributes</key>
                        <value>true</value>
                    </entry>
                    <entry>
                        <key>Null Value</key>
                        <value>false</value>
                    </entry>
                </properties>
                <runDurationMillis>0</runDurationMillis>
                <schedulingPeriod>0 sec</schedulingPeriod>
                <schedulingStrategy>TIMER_DRIVEN</schedulingStrategy>
                <yieldDuration>1 sec</yieldDuration>
            </config>
            <executionNodeRestricted>false</executionNodeRestricted>
            <name>SetFinalJson</name>
            <relationships>
                <autoTerminate>true</autoTerminate>
                <name>failure</name>
            </relationships>
            <relationships>
                <autoTerminate>false</autoTerminate>
                <name>success</name>
            </relationships>
            <state>STOPPED</state>
            <style/>
            <type>org.apache.nifi.processors.standard.AttributesToJSON</type>
        </processors>
        <processors>
            <id>7505d1a0-4bd7-355f-0000-000000000000</id>
            <parentGroupId>10db1f11-3dd7-3475-0000-000000000000</parentGroupId>
            <position>
                <x>832.0</x>
                <y>272.0</y>
            </position>
            <bundle>
                <artifact>nifi-standard-nar</artifact>
                <group>org.apache.nifi</group>
                <version>1.12.1</version>
            </bundle>
            <config>
                <bulletinLevel>WARN</bulletinLevel>
                <comments></comments>
                <concurrentlySchedulableTaskCount>1</concurrentlySchedulableTaskCount>
                <descriptors>
                    <entry>
                        <key>Destination</key>
                        <value>
                            <name>Destination</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Return Type</key>
                        <value>
                            <name>Return Type</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Path Not Found Behavior</key>
                        <value>
                            <name>Path Not Found Behavior</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Null Value Representation</key>
                        <value>
                            <name>Null Value Representation</name>
                        </value>
                    </entry>
                    <entry>
                        <key>content</key>
                        <value>
                            <name>content</name>
                        </value>
                    </entry>
                    <entry>
                        <key>postId</key>
                        <value>
                            <name>postId</name>
                        </value>
                    </entry>
                    <entry>
                        <key>senderName</key>
                        <value>
                            <name>senderName</name>
                        </value>
                    </entry>
                    <entry>
                        <key>senderUsername</key>
                        <value>
                            <name>senderUsername</name>
                        </value>
                    </entry>
                    <entry>
                        <key>sendTime</key>
                        <value>
                            <name>sendTime</name>
                        </value>
                    </entry>
                    <entry>
                        <key>sendTimePersian</key>
                        <value>
                            <name>sendTimePersian</name>
                        </value>
                    </entry>
                    <entry>
                        <key>type</key>
                        <value>
                            <name>type</name>
                        </value>
                    </entry>
                </descriptors>
                <executionNode>ALL</executionNode>
                <lossTolerant>false</lossTolerant>
                <penaltyDuration>30 sec</penaltyDuration>
                <properties>
                    <entry>
                        <key>Destination</key>
                        <value>flowfile-attribute</value>
                    </entry>
                    <entry>
                        <key>Return Type</key>
                        <value>auto-detect</value>
                    </entry>
                    <entry>
                        <key>Path Not Found Behavior</key>
                        <value>ignore</value>
                    </entry>
                    <entry>
                        <key>Null Value Representation</key>
                        <value>empty string</value>
                    </entry>
                    <entry>
                        <key>content</key>
                        <value>$.content</value>
                    </entry>
                    <entry>
                        <key>postId</key>
                        <value>$.id</value>
                    </entry>
                    <entry>
                        <key>senderName</key>
                        <value>$.senderName</value>
                    </entry>
                    <entry>
                        <key>senderUsername</key>
                        <value>$.senderUsername</value>
                    </entry>
                    <entry>
                        <key>sendTime</key>
                        <value>$.sendTime</value>
                    </entry>
                    <entry>
                        <key>sendTimePersian</key>
                        <value>$.sendTimePersian</value>
                    </entry>
                    <entry>
                        <key>type</key>
                        <value>$.type</value>
                    </entry>
                </properties>
                <runDurationMillis>0</runDurationMillis>
                <schedulingPeriod>0 sec</schedulingPeriod>
                <schedulingStrategy>TIMER_DRIVEN</schedulingStrategy>
                <yieldDuration>1 sec</yieldDuration>
            </config>
            <executionNodeRestricted>false</executionNodeRestricted>
            <name>ExtractAttributes</name>
            <relationships>
                <autoTerminate>true</autoTerminate>
                <name>failure</name>
            </relationships>
            <relationships>
                <autoTerminate>false</autoTerminate>
                <name>matched</name>
            </relationships>
            <relationships>
                <autoTerminate>true</autoTerminate>
                <name>unmatched</name>
            </relationships>
            <state>STOPPED</state>
            <style/>
            <type>org.apache.nifi.processors.standard.EvaluateJsonPath</type>
        </processors>
        <processors>
            <id>a675f034-0055-3510-0000-000000000000</id>
            <parentGroupId>10db1f11-3dd7-3475-0000-000000000000</parentGroupId>
            <position>
                <x>744.0</x>
                <y>16.0</y>
            </position>
            <bundle>
                <artifact>nifi-standard-nar</artifact>
                <group>org.apache.nifi</group>
                <version>1.12.1</version>
            </bundle>
            <config>
                <bulletinLevel>WARN</bulletinLevel>
                <comments></comments>
                <concurrentlySchedulableTaskCount>1</concurrentlySchedulableTaskCount>
                <descriptors>
                    <entry>
                        <key>JsonPath Expression</key>
                        <value>
                            <name>JsonPath Expression</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Null Value Representation</key>
                        <value>
                            <name>Null Value Representation</name>
                        </value>
                    </entry>
                </descriptors>
                <executionNode>ALL</executionNode>
                <lossTolerant>false</lossTolerant>
                <penaltyDuration>30 sec</penaltyDuration>
                <properties>
                    <entry>
                        <key>JsonPath Expression</key>
                        <value>$.items</value>
                    </entry>
                    <entry>
                        <key>Null Value Representation</key>
                        <value>empty string</value>
                    </entry>
                </properties>
                <runDurationMillis>0</runDurationMillis>
                <schedulingPeriod>0 sec</schedulingPeriod>
                <schedulingStrategy>TIMER_DRIVEN</schedulingStrategy>
                <yieldDuration>1 sec</yieldDuration>
            </config>
            <executionNodeRestricted>false</executionNodeRestricted>
            <name>SplitTweets</name>
            <relationships>
                <autoTerminate>true</autoTerminate>
                <name>failure</name>
            </relationships>
            <relationships>
                <autoTerminate>true</autoTerminate>
                <name>original</name>
            </relationships>
            <relationships>
                <autoTerminate>false</autoTerminate>
                <name>split</name>
            </relationships>
            <state>STOPPED</state>
            <style/>
            <type>org.apache.nifi.processors.standard.SplitJson</type>
        </processors>
        <processors>
            <id>b082a8f0-72be-30c1-0000-000000000000</id>
            <parentGroupId>10db1f11-3dd7-3475-0000-000000000000</parentGroupId>
            <position>
                <x>0.0</x>
                <y>208.0</y>
            </position>
            <bundle>
                <artifact>nifi-standard-nar</artifact>
                <group>org.apache.nifi</group>
                <version>1.12.1</version>
            </bundle>
            <config>
                <bulletinLevel>WARN</bulletinLevel>
                <comments></comments>
                <concurrentlySchedulableTaskCount>1</concurrentlySchedulableTaskCount>
                <descriptors>
                    <entry>
                        <key>Directory</key>
                        <value>
                            <name>Directory</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Conflict Resolution Strategy</key>
                        <value>
                            <name>Conflict Resolution Strategy</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Create Missing Directories</key>
                        <value>
                            <name>Create Missing Directories</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Maximum File Count</key>
                        <value>
                            <name>Maximum File Count</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Last Modified Time</key>
                        <value>
                            <name>Last Modified Time</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Permissions</key>
                        <value>
                            <name>Permissions</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Owner</key>
                        <value>
                            <name>Owner</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Group</key>
                        <value>
                            <name>Group</name>
                        </value>
                    </entry>
                </descriptors>
                <executionNode>ALL</executionNode>
                <lossTolerant>false</lossTolerant>
                <penaltyDuration>30 sec</penaltyDuration>
                <properties>
                    <entry>
                        <key>Directory</key>
                        <value>/home/nifi/workspace/tweets</value>
                    </entry>
                    <entry>
                        <key>Conflict Resolution Strategy</key>
                        <value>replace</value>
                    </entry>
                    <entry>
                        <key>Create Missing Directories</key>
                        <value>true</value>
                    </entry>
                    <entry>
                        <key>Maximum File Count</key>
                    </entry>
                    <entry>
                        <key>Last Modified Time</key>
                    </entry>
                    <entry>
                        <key>Permissions</key>
                    </entry>
                    <entry>
                        <key>Owner</key>
                    </entry>
                    <entry>
                        <key>Group</key>
                    </entry>
                </properties>
                <runDurationMillis>0</runDurationMillis>
                <schedulingPeriod>0 sec</schedulingPeriod>
                <schedulingStrategy>TIMER_DRIVEN</schedulingStrategy>
                <yieldDuration>1 sec</yieldDuration>
            </config>
            <executionNodeRestricted>false</executionNodeRestricted>
            <name>PutFile</name>
            <relationships>
                <autoTerminate>true</autoTerminate>
                <name>failure</name>
            </relationships>
            <relationships>
                <autoTerminate>true</autoTerminate>
                <name>success</name>
            </relationships>
            <state>STOPPED</state>
            <style/>
            <type>org.apache.nifi.processors.standard.PutFile</type>
        </processors>
        <processors>
            <id>bf73c2e1-b46b-3268-0000-000000000000</id>
            <parentGroupId>10db1f11-3dd7-3475-0000-000000000000</parentGroupId>
            <position>
                <x>320.0</x>
                <y>432.0</y>
            </position>
            <bundle>
                <artifact>nifi-update-attribute-nar</artifact>
                <group>org.apache.nifi</group>
                <version>1.12.1</version>
            </bundle>
            <config>
                <bulletinLevel>WARN</bulletinLevel>
                <comments></comments>
                <concurrentlySchedulableTaskCount>1</concurrentlySchedulableTaskCount>
                <descriptors>
                    <entry>
                        <key>Delete Attributes Expression</key>
                        <value>
                            <name>Delete Attributes Expression</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Store State</key>
                        <value>
                            <name>Store State</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Stateful Variables Initial Value</key>
                        <value>
                            <name>Stateful Variables Initial Value</name>
                        </value>
                    </entry>
                    <entry>
                        <key>canonical-value-lookup-cache-size</key>
                        <value>
                            <name>canonical-value-lookup-cache-size</name>
                        </value>
                    </entry>
                    <entry>
                        <key>filename</key>
                        <value>
                            <name>filename</name>
                        </value>
                    </entry>
                </descriptors>
                <executionNode>ALL</executionNode>
                <lossTolerant>false</lossTolerant>
                <penaltyDuration>30 sec</penaltyDuration>
                <properties>
                    <entry>
                        <key>Delete Attributes Expression</key>
                    </entry>
                    <entry>
                        <key>Store State</key>
                        <value>Do not store state</value>
                    </entry>
                    <entry>
                        <key>Stateful Variables Initial Value</key>
                    </entry>
                    <entry>
                        <key>canonical-value-lookup-cache-size</key>
                        <value>100</value>
                    </entry>
                    <entry>
                        <key>filename</key>
                        <value>${postId:append('.json')}</value>
                    </entry>
                </properties>
                <runDurationMillis>0</runDurationMillis>
                <schedulingPeriod>0 sec</schedulingPeriod>
                <schedulingStrategy>TIMER_DRIVEN</schedulingStrategy>
                <yieldDuration>1 sec</yieldDuration>
            </config>
            <executionNodeRestricted>false</executionNodeRestricted>
            <name>UpdateTweetFileName</name>
            <relationships>
                <autoTerminate>false</autoTerminate>
                <name>success</name>
            </relationships>
            <state>STOPPED</state>
            <style/>
            <type>org.apache.nifi.processors.attributes.UpdateAttribute</type>
        </processors>
        <processors>
            <id>fe403d80-ddd9-3e82-0000-000000000000</id>
            <parentGroupId>10db1f11-3dd7-3475-0000-000000000000</parentGroupId>
            <position>
                <x>152.0</x>
                <y>0.0</y>
            </position>
            <bundle>
                <artifact>nifi-standard-nar</artifact>
                <group>org.apache.nifi</group>
                <version>1.12.1</version>
            </bundle>
            <config>
                <bulletinLevel>WARN</bulletinLevel>
                <comments></comments>
                <concurrentlySchedulableTaskCount>1</concurrentlySchedulableTaskCount>
                <descriptors>
                    <entry>
                        <key>HTTP Method</key>
                        <value>
                            <name>HTTP Method</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Remote URL</key>
                        <value>
                            <name>Remote URL</name>
                        </value>
                    </entry>
                    <entry>
                        <key>SSL Context Service</key>
                        <value>
                            <identifiesControllerService>org.apache.nifi.ssl.SSLContextService</identifiesControllerService>
                            <name>SSL Context Service</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Connection Timeout</key>
                        <value>
                            <name>Connection Timeout</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Read Timeout</key>
                        <value>
                            <name>Read Timeout</name>
                        </value>
                    </entry>
                    <entry>
                        <key>idle-timeout</key>
                        <value>
                            <name>idle-timeout</name>
                        </value>
                    </entry>
                    <entry>
                        <key>max-idle-connections</key>
                        <value>
                            <name>max-idle-connections</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Include Date Header</key>
                        <value>
                            <name>Include Date Header</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Follow Redirects</key>
                        <value>
                            <name>Follow Redirects</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Attributes to Send</key>
                        <value>
                            <name>Attributes to Send</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Useragent</key>
                        <value>
                            <name>Useragent</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Basic Authentication Username</key>
                        <value>
                            <name>Basic Authentication Username</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Basic Authentication Password</key>
                        <value>
                            <name>Basic Authentication Password</name>
                        </value>
                    </entry>
                    <entry>
                        <key>proxy-configuration-service</key>
                        <value>
                            <identifiesControllerService>org.apache.nifi.proxy.ProxyConfigurationService</identifiesControllerService>
                            <name>proxy-configuration-service</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Proxy Host</key>
                        <value>
                            <name>Proxy Host</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Proxy Port</key>
                        <value>
                            <name>Proxy Port</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Proxy Type</key>
                        <value>
                            <name>Proxy Type</name>
                        </value>
                    </entry>
                    <entry>
                        <key>invokehttp-proxy-user</key>
                        <value>
                            <name>invokehttp-proxy-user</name>
                        </value>
                    </entry>
                    <entry>
                        <key>invokehttp-proxy-password</key>
                        <value>
                            <name>invokehttp-proxy-password</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Put Response Body In Attribute</key>
                        <value>
                            <name>Put Response Body In Attribute</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Max Length To Put In Attribute</key>
                        <value>
                            <name>Max Length To Put In Attribute</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Digest Authentication</key>
                        <value>
                            <name>Digest Authentication</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Always Output Response</key>
                        <value>
                            <name>Always Output Response</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Add Response Headers to Request</key>
                        <value>
                            <name>Add Response Headers to Request</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Content-Type</key>
                        <value>
                            <name>Content-Type</name>
                        </value>
                    </entry>
                    <entry>
                        <key>send-message-body</key>
                        <value>
                            <name>send-message-body</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Use Chunked Encoding</key>
                        <value>
                            <name>Use Chunked Encoding</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Penalize on "No Retry"</key>
                        <value>
                            <name>Penalize on "No Retry"</name>
                        </value>
                    </entry>
                    <entry>
                        <key>use-etag</key>
                        <value>
                            <name>use-etag</name>
                        </value>
                    </entry>
                    <entry>
                        <key>etag-max-cache-size</key>
                        <value>
                            <name>etag-max-cache-size</name>
                        </value>
                    </entry>
                    <entry>
                        <key>ignore-response-content</key>
                        <value>
                            <name>ignore-response-content</name>
                        </value>
                    </entry>
                    <entry>
                        <key>form-body-form-name</key>
                        <value>
                            <name>form-body-form-name</name>
                        </value>
                    </entry>
                    <entry>
                        <key>set-form-filename</key>
                        <value>
                            <name>set-form-filename</name>
                        </value>
                    </entry>
                    <entry>
                        <key>disable-http2</key>
                        <value>
                            <name>disable-http2</name>
                        </value>
                    </entry>
                </descriptors>
                <executionNode>ALL</executionNode>
                <lossTolerant>false</lossTolerant>
                <penaltyDuration>30 sec</penaltyDuration>
                <properties>
                    <entry>
                        <key>HTTP Method</key>
                        <value>GET</value>
                    </entry>
                    <entry>
                        <key>Remote URL</key>
                        <value>https://www.sahamyab.com/guest/twiter/list?v=0.1</value>
                    </entry>
                    <entry>
                        <key>SSL Context Service</key>
                    </entry>
                    <entry>
                        <key>Connection Timeout</key>
                        <value>5 secs</value>
                    </entry>
                    <entry>
                        <key>Read Timeout</key>
                        <value>15 secs</value>
                    </entry>
                    <entry>
                        <key>idle-timeout</key>
                        <value>5 mins</value>
                    </entry>
                    <entry>
                        <key>max-idle-connections</key>
                        <value>5</value>
                    </entry>
                    <entry>
                        <key>Include Date Header</key>
                        <value>True</value>
                    </entry>
                    <entry>
                        <key>Follow Redirects</key>
                        <value>True</value>
                    </entry>
                    <entry>
                        <key>Attributes to Send</key>
                    </entry>
                    <entry>
                        <key>Useragent</key>
                    </entry>
                    <entry>
                        <key>Basic Authentication Username</key>
                    </entry>
                    <entry>
                        <key>Basic Authentication Password</key>
                    </entry>
                    <entry>
                        <key>proxy-configuration-service</key>
                    </entry>
                    <entry>
                        <key>Proxy Host</key>
                    </entry>
                    <entry>
                        <key>Proxy Port</key>
                    </entry>
                    <entry>
                        <key>Proxy Type</key>
                        <value>http</value>
                    </entry>
                    <entry>
                        <key>invokehttp-proxy-user</key>
                    </entry>
                    <entry>
                        <key>invokehttp-proxy-password</key>
                    </entry>
                    <entry>
                        <key>Put Response Body In Attribute</key>
                    </entry>
                    <entry>
                        <key>Max Length To Put In Attribute</key>
                        <value>256</value>
                    </entry>
                    <entry>
                        <key>Digest Authentication</key>
                        <value>false</value>
                    </entry>
                    <entry>
                        <key>Always Output Response</key>
                        <value>false</value>
                    </entry>
                    <entry>
                        <key>Add Response Headers to Request</key>
                        <value>false</value>
                    </entry>
                    <entry>
                        <key>Content-Type</key>
                        <value>${mime.type}</value>
                    </entry>
                    <entry>
                        <key>send-message-body</key>
                        <value>true</value>
                    </entry>
                    <entry>
                        <key>Use Chunked Encoding</key>
                        <value>false</value>
                    </entry>
                    <entry>
                        <key>Penalize on "No Retry"</key>
                        <value>false</value>
                    </entry>
                    <entry>
                        <key>use-etag</key>
                        <value>false</value>
                    </entry>
                    <entry>
                        <key>etag-max-cache-size</key>
                        <value>10MB</value>
                    </entry>
                    <entry>
                        <key>ignore-response-content</key>
                        <value>false</value>
                    </entry>
                    <entry>
                        <key>form-body-form-name</key>
                    </entry>
                    <entry>
                        <key>set-form-filename</key>
                        <value>true</value>
                    </entry>
                    <entry>
                        <key>disable-http2</key>
                        <value>False</value>
                    </entry>
                </properties>
                <runDurationMillis>0</runDurationMillis>
                <schedulingPeriod>60 sec</schedulingPeriod>
                <schedulingStrategy>TIMER_DRIVEN</schedulingStrategy>
                <yieldDuration>1 sec</yieldDuration>
            </config>
            <executionNodeRestricted>false</executionNodeRestricted>
            <name>GetTweets</name>
            <relationships>
                <autoTerminate>true</autoTerminate>
                <name>Failure</name>
            </relationships>
            <relationships>
                <autoTerminate>true</autoTerminate>
                <name>No Retry</name>
            </relationships>
            <relationships>
                <autoTerminate>true</autoTerminate>
                <name>Original</name>
            </relationships>
            <relationships>
                <autoTerminate>false</autoTerminate>
                <name>Response</name>
            </relationships>
            <relationships>
                <autoTerminate>true</autoTerminate>
                <name>Retry</name>
            </relationships>
            <state>STOPPED</state>
            <style/>
            <type>org.apache.nifi.processors.standard.InvokeHTTP</type>
        </processors>
    </snippet>
    <timestamp>04/11/2021 16:54:41 UTC</timestamp>
</template>
